package com.reyun.service;

import com.reyun.model.EventStats;

import java.util.List;
import java.util.Map;

/**
 * Created by sunhao on 17/4/10.
 *
 */
public interface EventStatsService {

    boolean checkEventStatsName(String eventStatsName, Long appId);

    EventStats createEventStats(EventStats eventStats);

    int updateEventStats(EventStats eventStats, Long accountId);

    int deleteEventStats(Long eventStatsId, Long accountId);

    List<EventStats> findAllEventStats(Long accountId, Long appId);

    Map<String, List> queryEventStatsData(Long appId, Long accountId, String startDate, String endDate, String groupCondition,
                                          boolean isDevice, String eventCondition, String viewFlag);

    Map<String, List> formatEventStatsReportData(Map<String, List> responseResult, String groupField, Long appId, Long accountId,
                               String startDate, String endDate, String viewType);
}
